#!/bin/bash

# only do static checks as normal tests would require an armadillo and
# controlling the environment, that is left up to testop for now.

set -xe

abos_ctrl="${abos_ctrl:-../tools/abos-ctrl}"

if command -v shellcheck >/dev/null; then
	# make sure we didn't typo a function name somewhere with shellcheck.
	# We only test globally, as there does not seem to be a good way of
	# testing scripts individually (even with --source-path, it does not
	# find function typos...)
	cat "$abos_ctrl.d/"* "$abos_ctrl" | shellcheck -s ash  -
fi
